unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mx_formcaption, ComCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    FontDialog1: TFontDialog;
    Label1: TLabel;
    Label2: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    ComboBox1: TComboBox;
    Label3: TLabel;
    MX_FormCaption1: TMX_FormCaption;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure UpDown2Click(Sender: TObject; Button: TUDBtnType);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Edit1.Text := MX_FormCaption1.Caption;

  UpDown1.Position := MX_FormCaption1.VShift;
  UpDown2.Position := MX_FormCaption1.HShift;

  ComboBox1.Items.Clear;
  ComboBox1.Items.Add('0');
  ComboBox1.Items.Add('1');
  ComboBox1.Items.Add('2');
  ComboBox1.ItemIndex := ComboBox1.Items.IndexOf(IntToStr(Integer(MX_FormCaption1.Alignment)));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  MX_FormCaption1.Caption := Edit1.Text;
//  Caption := Edit1.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FontDialog1.Font.Assign(MX_FormCaption1.Font);
  if FontDialog1.Execute then MX_FormCaption1.Font := FontDialog1.Font;
end;

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  MX_FormCaption1.VShift := UpDown1.Position;
end;

procedure TForm1.UpDown2Click(Sender: TObject; Button: TUDBtnType);
begin
  MX_FormCaption1.HShift := UpDown2.Position;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  MX_FormCaption1.Alignment := TAlignment(ComboBox1.ItemIndex);
end;

end.
